<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ef7451eb-64f5-40b3-81e2-6b92833acafd" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="database.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/database.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="378">
              <caret line="26" column="23" selection-start-line="26" selection-start-column="23" selection-end-line="26" selection-end-column="23" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="IndexController.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="399">
              <caret line="39" lean-forward="true" selection-start-line="39" selection-end-line="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MainController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/web/controller/MainController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="504">
              <caret line="47" column="28" lean-forward="true" selection-start-line="47" selection-start-column="28" selection-end-line="47" selection-end-column="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="index.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/public/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="294">
              <caret line="22" column="53" selection-start-line="22" selection-start-column="53" selection-end-line="22" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="app.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/app.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="147">
              <caret line="57" column="36" selection-start-line="57" selection-start-column="33" selection-end-line="57" selection-end-column="36" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/application/web/controller/CommonController.php" />
        <option value="$PROJECT_DIR$/config/app.php" />
        <option value="$PROJECT_DIR$/application/web/controller/MainController.php" />
        <option value="$PROJECT_DIR$/config/database.php" />
        <option value="$PROJECT_DIR$/application/web/controller/IndexController.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsFlowSettings">
    <service-enabled>true</service-enabled>
    <exe-path />
    <other-services-enabled>true</other-services-enabled>
    <auto-save>true</auto-save>
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1056" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="application" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="application" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="web" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="application" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="web" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="controller" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="config" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="extend" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="public" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.gutterIcons" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ef7451eb-64f5-40b3-81e2-6b92833acafd" name="Default" comment="" />
      <created>1604131607358</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1604131607358</updated>
      <workItem from="1604131609158" duration="2010000" />
      <workItem from="1604311357072" duration="1672000" />
      <workItem from="1604479748634" duration="1226000" />
      <workItem from="1604485963290" duration="11722000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="16630000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25799572" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3108">
          <caret line="148" column="11" lean-forward="true" selection-start-line="148" selection-start-column="11" selection-end-line="148" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3066">
          <caret line="146" lean-forward="true" selection-start-line="146" selection-end-line="146" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3192">
          <caret line="152" column="9" lean-forward="true" selection-start-line="152" selection-start-column="9" selection-end-line="152" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="132" column="32" selection-start-line="132" selection-start-column="32" selection-end-line="132" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/console.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="22" column="53" selection-start-line="22" selection-start-column="53" selection-end-line="22" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="147">
          <caret line="57" column="36" selection-start-line="57" selection-start-column="33" selection-end-line="57" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/MainController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="504">
          <caret line="47" column="28" lean-forward="true" selection-start-line="47" selection-start-column="28" selection-end-line="47" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="26" column="23" selection-start-line="26" selection-start-column="23" selection-end-line="26" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="39" lean-forward="true" selection-start-line="39" selection-end-line="39" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>